LCPD Device API

LCPD Device API Documentation
LCPD Device API

[This is preliminary documentation and is subject to change.]

LCPD Device is a helper for your daily activities. Instead of remembering a large number of hot keys, you can use it as a graphical interface to interact with your tasks on GTAIV. Better yet, LCPD Device has been build in order to allow 3rd party developers to create new applications for it and extends its functionalities.

Requirements

  • The latest version of GTAIV.

    • GTAIV - 1.0.7.0

    • EFLC - 1.1.2.0

  • ScriptHookDotNet - Download Page

  • .NET Framework 4.5 - Download Page

Features

  • Allows a convenient way to create user interfaces for your scripts in-game.

  • Provide tools to load your user interface directly from a XML file.

  • Provide helpers class in order to make easier to read files, configuration files or collections.

  • Allow your application to display notifications while the device is closed.

  • Your application still have complete access to ScriptHookDotNet API.

  • More features will be developed in the future.

Known Issues

  • You need to click on the device screen before trying to press the close button for the first time.

    • This is a limitation of current GTA.Forms implementation.

See Also

Other Resources

Version History
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

Copyright © 2014 Alexandre Leites.


Version History

Version History

The topics in this section describe the various changes made to the LCPD Device API over the life of the project.

Version History

Select a version below to see a description of its changes.

  • Version 0.0.2.0 BETA

  • Version 0.0.1.0 BETA

See Also

Other Resources

Welcome Page
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


Version 0.0.2.0 BETA

Version 0.0.2.0 BETA

Version 0.0.2.0 BETA was released on 13/10/2014.

Changes in This Release

  • Introduction of LoggerHelper class to allow applications write logging messages easily.

  • Introduction of AppScript class to allow applications execute SHDN scripts on background.

  • Introduction of UniqueID parameter into app's config file.

  • Introduction of MinApiVersion and MaxApiVersion parameters into app's config file.

  • Renamed App to AppUI in order to better specify the difference between AppScript (Constantly running) and AppUI (Interface).

  • Added id parameter to notifications to allow overriding or deleting it early.

  • Added float and double parsing into StringHelper class.

  • Added float and double reading/writting into IniFile class.

  • Added possibility of setting EPISODE parameter to "TLAD|TBOGT" on collections.

  • Moved some app loading methods to AppManager class.

See Also

Other Resources

Version History
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


Version 0.0.1.0 BETA

Version 0.0.1.0 BETA

Version 0.0.1.0 BETA was released on 26/09/2014.

Changes in This Release

  • Initial LCPD Device API public BETA.

See Also

Other Resources

Version History
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


LCPDDevice.API Namespace

LCPDDevice.API Namespace

Classes
 | Class | Description
Public class | AppInfo | Object containing all informations about an application. Used by the AppManager.
Public class | NotificationInfo | Object containing all information about a notification.
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppInfo Class

AppInfo Class

Object containing all informations about an application. Used by the AppManager.
Inheritance Hierarchy
SystemObject
LCPDDevice.APIAppInfo

Namespace: LCPDDevice.API
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public class AppInfo

The AppInfo type exposes the following members.

Constructors
 | Name | Description
Public method | AppInfo | Initializes a new instance of the AppInfo class
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Fields
 | Name | Description
Public field | AppDir | Application Directory
Public field | AppDLL | Application DLL resource (filename).
Public field | AppIcon | Application Icon resource (filename).
Public field | AppID | Application Unique ID
Public field | AppName | Application Name
Public field | Enabled | Define if the application is enabled or not.
Public field | Internal | Define if the application is an internal version (embedded).
Public field | ScriptClass | Current AppScript instance.
Public field | Settings | Application Settings.
Public field | UIClass | Current AppUI instance.
Top
See Also

Reference

LCPDDevice.API Namespace
LCPDDevice.API.AppAppUI
LCPDDevice.API.ManagersAppManager
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppInfo Constructor

AppInfo Constructor

Initializes a new instance of the AppInfo class

Namespace: LCPDDevice.API
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public AppInfo()
See Also

Reference

AppInfo Class
LCPDDevice.API Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppInfo Fields

AppInfo Fields

The AppInfo type exposes the following members.

Fields
 | Name | Description
Public field | AppDir | Application Directory
Public field | AppDLL | Application DLL resource (filename).
Public field | AppIcon | Application Icon resource (filename).
Public field | AppID | Application Unique ID
Public field | AppName | Application Name
Public field | Enabled | Define if the application is enabled or not.
Public field | Internal | Define if the application is an internal version (embedded).
Public field | ScriptClass | Current AppScript instance.
Public field | Settings | Application Settings.
Public field | UIClass | Current AppUI instance.
Top
See Also

Reference

AppInfo Class
LCPDDevice.API Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppInfo.AppDir Field

AppInfoAppDir Field

Application Directory

Namespace: LCPDDevice.API
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public string AppDir

Field Value

Type: String
See Also

Reference

AppInfo Class
LCPDDevice.API Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppInfo.AppDLL Field

AppInfoAppDLL Field

Application DLL resource (filename).

Namespace: LCPDDevice.API
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public string AppDLL

Field Value

Type: String
See Also

Reference

AppInfo Class
LCPDDevice.API Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppInfo.AppIcon Field

AppInfoAppIcon Field

Application Icon resource (filename).

Namespace: LCPDDevice.API
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public Texture AppIcon

Field Value

Type: Texture
See Also

Reference

AppInfo Class
LCPDDevice.API Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppInfo.AppID Field

AppInfoAppID Field

Application Unique ID

Namespace: LCPDDevice.API
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public string AppID

Field Value

Type: String
See Also

Reference

AppInfo Class
LCPDDevice.API Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppInfo.AppName Field

AppInfoAppName Field

Application Name

Namespace: LCPDDevice.API
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public string AppName

Field Value

Type: String
See Also

Reference

AppInfo Class
LCPDDevice.API Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppInfo.Enabled Field

AppInfoEnabled Field

Define if the application is enabled or not.

Namespace: LCPDDevice.API
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public bool Enabled

Field Value

Type: Boolean
See Also

Reference

AppInfo Class
LCPDDevice.API Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppInfo.Internal Field

AppInfoInternal Field

Define if the application is an internal version (embedded).

Namespace: LCPDDevice.API
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public bool Internal

Field Value

Type: Boolean
See Also

Reference

AppInfo Class
LCPDDevice.API Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppInfo.ScriptClass Field

AppInfoScriptClass Field

Current AppScript instance.

Namespace: LCPDDevice.API
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public AppScript ScriptClass

Field Value

Type: AppScript
See Also

Reference

AppInfo Class
LCPDDevice.API Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppInfo.Settings Field

AppInfoSettings Field

Application Settings.

Namespace: LCPDDevice.API
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public AppConfig Settings

Field Value

Type: AppConfig
See Also

Reference

AppInfo Class
LCPDDevice.API Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppInfo.UIClass Field

AppInfoUIClass Field

Current AppUI instance.

Namespace: LCPDDevice.API
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public AppUI UIClass

Field Value

Type: AppUI
See Also

Reference

AppInfo Class
LCPDDevice.API Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppInfo Methods

AppInfo Methods

The AppInfo type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

AppInfo Class
LCPDDevice.API Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


NotificationInfo Class

NotificationInfo Class

Object containing all information about a notification.
Inheritance Hierarchy
SystemObject
LCPDDevice.APINotificationInfo

Namespace: LCPDDevice.API
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public class NotificationInfo

The NotificationInfo type exposes the following members.

Constructors
 | Name | Description
Public method | NotificationInfo | Create a notification structure.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Fields
 | Name | Description
Public field | Duration | Duration time in milliseconds.
Public field | Message | String containing the notification message.
Top
See Also

Reference

LCPDDevice.API Namespace
LCPDDevice.API.App
LCPDDevice.API.ManagersAppManager
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


NotificationInfo Constructor

NotificationInfo Constructor

Create a notification structure.

Namespace: LCPDDevice.API
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public NotificationInfo(
    string Message,
    int Duration = 3000
)

Parameters

Message
Type: SystemString
String containing the message to be displayed.
Duration (Optional)
Type: SystemInt32
Duration time in milliseconds.
See Also

Reference

NotificationInfo Class
LCPDDevice.API Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


NotificationInfo Fields

NotificationInfo Fields

The NotificationInfo type exposes the following members.

Fields
 | Name | Description
Public field | Duration | Duration time in milliseconds.
Public field | Message | String containing the notification message.
Top
See Also

Reference

NotificationInfo Class
LCPDDevice.API Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


NotificationInfo.Duration Field

NotificationInfoDuration Field

Duration time in milliseconds.

Namespace: LCPDDevice.API
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public int Duration

Field Value

Type: Int32
See Also

Reference

NotificationInfo Class
LCPDDevice.API Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


NotificationInfo.Message Field

NotificationInfoMessage Field

String containing the notification message.

Namespace: LCPDDevice.API
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public string Message

Field Value

Type: String
See Also

Reference

NotificationInfo Class
LCPDDevice.API Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


NotificationInfo Methods

NotificationInfo Methods

The NotificationInfo type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

NotificationInfo Class
LCPDDevice.API Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


LCPDDevice.API.App Namespace

LCPDDevice.API.App Namespace

Classes
 | Class | Description
Public class | AppBase | Base application class used by both application interface and scripts.
Public class | AppScript | Base application class. This class should be inherited by any application that needs to run in background. This class is a simplified version of Script class of SHDN (As SHDN do not allow us to register new scripts on runtime).
Public class | AppUI | Base application UI class. This class is responsible of creating UI elements on LCPDDevice.
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppBase Class

AppBase Class

Base application class used by both application interface and scripts.
Inheritance Hierarchy
SystemObject
LCPDDevice.API.AppAppBase
LCPDDevice.API.AppAppScript
LCPDDevice.API.AppAppUI

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public abstract class AppBase

The AppBase type exposes the following members.

Constructors
 | Name | Description
Public method | AppBase | Application constructor
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetCurrentDir | Get the current application directory
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetSettings | Get the current application Settings Helper.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Init | Initialize the App
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Fields
 | Name | Description
Protected field | AppInfo | Current set of informations about this application.
Protected field | CurrentDir | Current application directory.
Protected field | Settings | Current instance of this application Settings Helper.
Top
See Also

Reference

LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppBase Constructor

AppBase Constructor

Application constructor

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public AppBase()
See Also

Reference

AppBase Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppBase Fields

AppBase Fields

The AppBase type exposes the following members.

Fields
 | Name | Description
Protected field | AppInfo | Current set of informations about this application.
Protected field | CurrentDir | Current application directory.
Protected field | Settings | Current instance of this application Settings Helper.
Top
See Also

Reference

AppBase Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppBase.AppInfo Field

AppBaseAppInfo Field

Current set of informations about this application.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
protected AppInfo AppInfo

Field Value

Type: AppInfo
See Also

Reference

AppBase Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppBase.CurrentDir Field

AppBaseCurrentDir Field

Current application directory.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
protected string CurrentDir

Field Value

Type: String
See Also

Reference

AppBase Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppBase.Settings Field

AppBaseSettings Field

Current instance of this application Settings Helper.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
protected IniFile Settings

Field Value

Type: IniFile
See Also

Reference

AppBase Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppBase Methods

AppBase Methods

The AppBase type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetCurrentDir | Get the current application directory
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetSettings | Get the current application Settings Helper.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Init | Initialize the App
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

AppBase Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppBase.GetCurrentDir Method

AppBaseGetCurrentDir Method

Get the current application directory

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public string GetCurrentDir()

Return Value

Type: String
string containing the app directory
See Also

Reference

AppBase Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppBase.GetSettings Method

AppBaseGetSettings Method

Get the current application Settings Helper.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public IniFile GetSettings()

Return Value

Type: IniFile
the current settings helper.
See Also

Reference

AppBase Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppBase.Init Method

AppBaseInit Method

Initialize the App

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public virtual void Init()
See Also

Reference

AppBase Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppScript Class

AppScript Class

Base application class. This class should be inherited by any application that needs to run in background. This class is a simplified version of Script class of SHDN (As SHDN do not allow us to register new scripts on runtime).
Inheritance Hierarchy
SystemObject
LCPDDevice.API.AppAppBase
LCPDDevice.API.AppAppScript

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public abstract class AppScript : AppBase,
    IDisposable

The AppScript type exposes the following members.

Constructors
 | Name | Description
Public method | AppScript | Class constructor.
Top
Methods
 | Name | Description
Protected method | BindKey(Keys, KeyPressDelegate) | Bind a key (including modifiers) combination to a specific method.
Protected method | BindKey(Keys, Boolean, Boolean, Boolean, KeyPressDelegate) | Bind a key (without modifiers) combination to a specific method.
Public method | Dispose | Disposing method.
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Destroying method. (Overrides ObjectFinalize.)
Public method | GetCurrentDir | Get the current application directory (Inherited from AppBase.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetSettings | Get the current application Settings Helper. (Inherited from AppBase.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Init | Initialize the App (Inherited from AppBase.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Protected method | UnbindKey(Keys) | Unbind a key (including modifiers) combination.
Protected method | UnbindKey(Keys, Boolean, Boolean, Boolean) | Unbind a key (without modifiers) combination.
Top
Fields
 | Name | Description
Protected field | AppInfo | Current set of informations about this application. (Inherited from AppBase.)
Protected field | CurrentDir | Current application directory. (Inherited from AppBase.)
Protected field | Settings | Current instance of this application Settings Helper. (Inherited from AppBase.)
Top
Events
 | Name | Description
Protected event | KeyDown | All stored events will be executed when a key is pressed.
Protected event | KeyUp | All stored events will be executed when a key is released.
Protected event | MouseDown | All stored events will be executed when any mouse button is pressed.
Protected event | MouseUp | All stored events will be executed when any mouse button is released.
Protected event | PerFrameDrawing | All stored events will be executed EVERY frame. This should be used ONLY to draw things on the screen. NEVER CALL ANY WAIT OR BLOCKING METHOD HERE.
Protected event | Tick | All stored events will be executed every SHDN tick()
Top
See Also

Reference

LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppScript Constructor

AppScript Constructor

Class constructor.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public AppScript()
See Also

Reference

AppScript Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppScript Fields

AppScript Fields

The AppScript type exposes the following members.

Fields
 | Name | Description
Protected field | AppInfo | Current set of informations about this application. (Inherited from AppBase.)
Protected field | CurrentDir | Current application directory. (Inherited from AppBase.)
Protected field | Settings | Current instance of this application Settings Helper. (Inherited from AppBase.)
Top
See Also

Reference

AppScript Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppScript Methods

AppScript Methods

The AppScript type exposes the following members.

Methods
 | Name | Description
Protected method | BindKey(Keys, KeyPressDelegate) | Bind a key (including modifiers) combination to a specific method.
Protected method | BindKey(Keys, Boolean, Boolean, Boolean, KeyPressDelegate) | Bind a key (without modifiers) combination to a specific method.
Public method | Dispose | Disposing method.
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Destroying method. (Overrides ObjectFinalize.)
Public method | GetCurrentDir | Get the current application directory (Inherited from AppBase.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetSettings | Get the current application Settings Helper. (Inherited from AppBase.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Init | Initialize the App (Inherited from AppBase.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Protected method | UnbindKey(Keys) | Unbind a key (including modifiers) combination.
Protected method | UnbindKey(Keys, Boolean, Boolean, Boolean) | Unbind a key (without modifiers) combination.
Top
See Also

Reference

AppScript Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppScript.BindKey Method

AppScriptBindKey Method

Overload List
 | Name | Description
Protected method | BindKey(Keys, KeyPressDelegate) | Bind a key (including modifiers) combination to a specific method.
Protected method | BindKey(Keys, Boolean, Boolean, Boolean, KeyPressDelegate) | Bind a key (without modifiers) combination to a specific method.
Top
See Also

Reference

AppScript Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppScript.BindKey Method (Keys, KeyPressDelegate)

AppScriptBindKey Method (Keys, KeyPressDelegate)

[This is preliminary documentation and is subject to change.]

Bind a key (including modifiers) combination to a specific method.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
protected void BindKey(
    Keys Key,
    KeyPressDelegate MethodToBindTo
)

Parameters

Key
Type: System.Windows.FormsKeys
Key parameter
MethodToBindTo
Type: KeyPressDelegate
Method to bind
See Also

Reference

AppScript Class
BindKey Overload
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppScript.BindKey Method (Keys, Boolean, Boolean, Boolean, KeyPressDelegate)

AppScriptBindKey Method (Keys, Boolean, Boolean, Boolean, KeyPressDelegate)

[This is preliminary documentation and is subject to change.]

Bind a key (without modifiers) combination to a specific method.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
protected void BindKey(
    Keys Key,
    bool Shift,
    bool Ctrl,
    bool Alt,
    KeyPressDelegate MethodToBindTo
)

Parameters

Key
Type: System.Windows.FormsKeys
Key parameter
Shift
Type: SystemBoolean
Shift flag
Ctrl
Type: SystemBoolean
Ctrl flag
Alt
Type: SystemBoolean
Alt flag
MethodToBindTo
Type: KeyPressDelegate
Method to bind
See Also

Reference

AppScript Class
BindKey Overload
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppScript.Dispose Method

AppScriptDispose Method

Disposing method.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public void Dispose()

Implements

IDisposableDispose
See Also

Reference

AppScript Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppScript.Finalize Method

AppScriptFinalize Method

Destroying method.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
protected override void Finalize()
See Also

Reference

AppScript Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppScript.UnbindKey Method

AppScriptUnbindKey Method

Overload List
 | Name | Description
Protected method | UnbindKey(Keys) | Unbind a key (including modifiers) combination.
Protected method | UnbindKey(Keys, Boolean, Boolean, Boolean) | Unbind a key (without modifiers) combination.
Top
See Also

Reference

AppScript Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppScript.UnbindKey Method (Keys)

AppScriptUnbindKey Method (Keys)

[This is preliminary documentation and is subject to change.]

Unbind a key (including modifiers) combination.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
protected void UnbindKey(
    Keys Key
)

Parameters

Key
Type: System.Windows.FormsKeys
Key parameter
See Also

Reference

AppScript Class
UnbindKey Overload
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppScript.UnbindKey Method (Keys, Boolean, Boolean, Boolean)

AppScriptUnbindKey Method (Keys, Boolean, Boolean, Boolean)

[This is preliminary documentation and is subject to change.]

Unbind a key (without modifiers) combination.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
protected void UnbindKey(
    Keys Key,
    bool Shift,
    bool Ctrl,
    bool Alt
)

Parameters

Key
Type: System.Windows.FormsKeys
Key parameter
Shift
Type: SystemBoolean
Shift flag
Ctrl
Type: SystemBoolean
Ctrl flag
Alt
Type: SystemBoolean
Alt flag
See Also

Reference

AppScript Class
UnbindKey Overload
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppScript Events

AppScript Events

The AppScript type exposes the following members.

Events
 | Name | Description
Protected event | KeyDown | All stored events will be executed when a key is pressed.
Protected event | KeyUp | All stored events will be executed when a key is released.
Protected event | MouseDown | All stored events will be executed when any mouse button is pressed.
Protected event | MouseUp | All stored events will be executed when any mouse button is released.
Protected event | PerFrameDrawing | All stored events will be executed EVERY frame. This should be used ONLY to draw things on the screen. NEVER CALL ANY WAIT OR BLOCKING METHOD HERE.
Protected event | Tick | All stored events will be executed every SHDN tick()
Top
See Also

Reference

AppScript Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppScript.KeyDown Event

AppScriptKeyDown Event

All stored events will be executed when a key is pressed.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
protected event KeyEventHandler KeyDown

Value

Type: KeyEventHandler
See Also

Reference

AppScript Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppScript.KeyUp Event

AppScriptKeyUp Event

All stored events will be executed when a key is released.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
protected event KeyEventHandler KeyUp

Value

Type: KeyEventHandler
See Also

Reference

AppScript Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppScript.MouseDown Event

AppScriptMouseDown Event

All stored events will be executed when any mouse button is pressed.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
protected event MouseEventHandler MouseDown

Value

Type: MouseEventHandler
See Also

Reference

AppScript Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppScript.MouseUp Event

AppScriptMouseUp Event

All stored events will be executed when any mouse button is released.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
protected event MouseEventHandler MouseUp

Value

Type: MouseEventHandler
See Also

Reference

AppScript Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppScript.PerFrameDrawing Event

AppScriptPerFrameDrawing Event

All stored events will be executed EVERY frame. This should be used ONLY to draw things on the screen. NEVER CALL ANY WAIT OR BLOCKING METHOD HERE.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
protected event GraphicsEventHandler PerFrameDrawing

Value

Type: GraphicsEventHandler
See Also

Reference

AppScript Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppScript.Tick Event

AppScriptTick Event

All stored events will be executed every SHDN tick()

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
protected event EventHandler Tick

Value

Type: SystemEventHandler
See Also

Reference

AppScript Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppUI Class

AppUI Class

Base application UI class. This class is responsible of creating UI elements on LCPDDevice.
Inheritance Hierarchy
SystemObject
LCPDDevice.API.AppAppBase
LCPDDevice.API.AppAppUI

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public abstract class AppUI : AppBase

The AppUI type exposes the following members.

Constructors
 | Name | Description
Public method | AppUI | Class constructor.
Top
Methods
 | Name | Description
Public method | AddControl | Add a component to app.
Public method | AddControls | Add a list of components to app.
Public method | Close | Close the application and removes all controls from the form. Should be called from any class inheriting this base class and overriding this method.
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetControlByName | Get a component by its name.
Public method | GetCurrentDir | Get the current application directory (Inherited from AppBase.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetOffsetPoint | Get the offset Point from the screen.
Public method | GetSettings | Get the current application Settings Helper. (Inherited from AppBase.)
Public method | GetSize | Get the screen Size.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Init | Initialize the App (Inherited from AppBase.)
Public method | Load | Load the app components before display the app on the screen.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | SetFormColor | Set screen background Color.
Public method | Show | Display the application on the screen. Should be called from any class inheriting this base class and overriding this method.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Fields
 | Name | Description
Protected field | AppInfo | Current set of informations about this application. (Inherited from AppBase.)
Protected field | CurrentDir | Current application directory. (Inherited from AppBase.)
Protected field | Settings | Current instance of this application Settings Helper. (Inherited from AppBase.)
Top
See Also

Reference

LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppUI Constructor

AppUI Constructor

Class constructor.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public AppUI()
See Also

Reference

AppUI Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppUI Fields

AppUI Fields

The AppUI type exposes the following members.

Fields
 | Name | Description
Protected field | AppInfo | Current set of informations about this application. (Inherited from AppBase.)
Protected field | CurrentDir | Current application directory. (Inherited from AppBase.)
Protected field | Settings | Current instance of this application Settings Helper. (Inherited from AppBase.)
Top
See Also

Reference

AppUI Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppUI Methods

AppUI Methods

The AppUI type exposes the following members.

Methods
 | Name | Description
Public method | AddControl | Add a component to app.
Public method | AddControls | Add a list of components to app.
Public method | Close | Close the application and removes all controls from the form. Should be called from any class inheriting this base class and overriding this method.
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetControlByName | Get a component by its name.
Public method | GetCurrentDir | Get the current application directory (Inherited from AppBase.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetOffsetPoint | Get the offset Point from the screen.
Public method | GetSettings | Get the current application Settings Helper. (Inherited from AppBase.)
Public method | GetSize | Get the screen Size.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Init | Initialize the App (Inherited from AppBase.)
Public method | Load | Load the app components before display the app on the screen.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | SetFormColor | Set screen background Color.
Public method | Show | Display the application on the screen. Should be called from any class inheriting this base class and overriding this method.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

AppUI Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppUI.AddControl Method

AppUIAddControl Method

Add a component to app.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public void AddControl(
    Control item
)

Parameters

item
Type: Control
Control item to added.
See Also

Reference

AppUI Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppUI.AddControls Method

AppUIAddControls Method

Add a list of components to app.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public void AddControls(
    List<Control> list
)

Parameters

list
Type: System.Collections.GenericList Control
A list of control elements to be added
See Also

Reference

AppUI Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppUI.Close Method

AppUIClose Method

Close the application and removes all controls from the form. Should be called from any class inheriting this base class and overriding this method.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public virtual void Close()
See Also

Reference

AppUI Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppUI.GetControlByName Method

AppUIGetControlByName Method

Get a component by its name.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public Control GetControlByName(
    string name
)

Parameters

name
Type: SystemString
String containing the component name

Return Value

Type: Control
The component control if found. Null otherwise.
See Also

Reference

AppUI Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppUI.GetOffsetPoint Method

AppUIGetOffsetPoint Method

Get the offset Point from the screen.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public Point GetOffsetPoint()

Return Value

Type: Point
the offset point from the screen
See Also

Reference

AppUI Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppUI.GetSize Method

AppUIGetSize Method

Get the screen Size.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public Size GetSize()

Return Value

Type: Size
the screen size structure
See Also

Reference

AppUI Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppUI.Load Method

AppUILoad Method

Load the app components before display the app on the screen.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public virtual void Load()
See Also

Reference

AppUI Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppUI.SetFormColor Method

AppUISetFormColor Method

Set screen background Color.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public void SetFormColor(
    Color color
)

Parameters

color
Type: System.DrawingColor
Color structure.
See Also

Reference

AppUI Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppUI.Show Method

AppUIShow Method

Display the application on the screen. Should be called from any class inheriting this base class and overriding this method.

Namespace: LCPDDevice.API.App
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public virtual void Show()
See Also

Reference

AppUI Class
LCPDDevice.API.App Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


LCPDDevice.API.Collections Namespace

LCPDDevice.API.Collections Namespace

Classes
 | Class | Description
Public class | GTACollection | Common collection for GTA related objects.
Public class | GTACollectionCategory | GTA Collection category class.
Public class | GTACollectionItem | Represents a single GTA Collection item.
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollection Class

GTACollection Class

Common collection for GTA related objects.
Inheritance Hierarchy
SystemObject
LCPDDevice.API.CollectionsGTACollection

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public class GTACollection

The GTACollection type exposes the following members.

Constructors
 | Name | Description
Public method | GTACollection | Object constructor.
Top
Methods
 | Name | Description
Public method | AddCategory | Add an new category to the collection list.
Public method | CategoryExists | Indicate if the category currently exists.
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetCategoryById | Get a category by its unique id.
Public method | GetCategoryList | Get all GTACollectionCategory as an array.
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetId | Get current object unique id.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | SetId | Set object unique id.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollection Constructor

GTACollection Constructor

Object constructor.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public GTACollection()
See Also

Reference

GTACollection Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollection Methods

GTACollection Methods

The GTACollection type exposes the following members.

Methods
 | Name | Description
Public method | AddCategory | Add an new category to the collection list.
Public method | CategoryExists | Indicate if the category currently exists.
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetCategoryById | Get a category by its unique id.
Public method | GetCategoryList | Get all GTACollectionCategory as an array.
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetId | Get current object unique id.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | SetId | Set object unique id.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

GTACollection Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollection.AddCategory Method

GTACollectionAddCategory Method

Add an new category to the collection list.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public bool AddCategory(
    string Id,
    GTACollectionCategory Value,
    bool Update = true
)

Parameters

Id
Type: SystemString
String containing the parameter unique name.
Value
Type: LCPDDevice.API.CollectionsGTACollectionCategory
GTACollectionCategory to be added.
Update (Optional)
Type: SystemBoolean
Flag indicating if the parameter should be updated if already found.

Return Value

Type: Boolean
True if the addition or update is successful, false otherwise.
See Also

Reference

GTACollection Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollection.CategoryExists Method

GTACollectionCategoryExists Method

Indicate if the category currently exists.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public bool CategoryExists(
    string Id
)

Parameters

Id
Type: SystemString
String containing the key name.

Return Value

Type: Boolean
True if the key exists, false otherwise.
See Also

Reference

GTACollection Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollection.GetCategoryById Method

GTACollectionGetCategoryById Method

Get a category by its unique id.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public GTACollectionCategory GetCategoryById(
    string Id
)

Parameters

Id
Type: SystemString
String containing the parameter unique name.s

Return Value

Type: GTACollectionCategory
GTACollectionCategory object if found, null otherwise.
See Also

Reference

GTACollection Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollection.GetCategoryList Method

GTACollectionGetCategoryList Method

Get all GTACollectionCategory as an array.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public GTACollectionCategory[] GetCategoryList()

Return Value

Type: GTACollectionCategory
Array of GTACollectionCategory objects.
See Also

Reference

GTACollection Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollection.GetId Method

GTACollectionGetId Method

Get current object unique id.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public string GetId()

Return Value

Type: String
String representing object unique id.
See Also

Reference

GTACollection Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollection.SetId Method

GTACollectionSetId Method

Set object unique id.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public void SetId(
    string Id
)

Parameters

Id
Type: SystemString
String representing an unique id.
See Also

Reference

GTACollection Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionCategory Class

GTACollectionCategory Class

GTA Collection category class.
Inheritance Hierarchy
SystemObject
LCPDDevice.API.CollectionsGTACollectionCategory

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public class GTACollectionCategory

The GTACollectionCategory type exposes the following members.

Constructors
 | Name | Description
Public method | GTACollectionCategory | Object Constructor.
Top
Methods
 | Name | Description
Public method | AddItem | Add an new cat to the collection list.
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetCategoryName | Get current object name.
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetId | Get current object unique id.
Public method | GetItemById | Get a cat by its unique id.
Public method | GetItemList | Get all GTACollectionItem as an array.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ItemExists | Indicate if the cat currently exists.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | SetCategoryName | Set object name.
Public method | SetId | Set object unique id.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionCategory Constructor

GTACollectionCategory Constructor

Object Constructor.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public GTACollectionCategory()
See Also

Reference

GTACollectionCategory Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionCategory Methods

GTACollectionCategory Methods

The GTACollectionCategory type exposes the following members.

Methods
 | Name | Description
Public method | AddItem | Add an new cat to the collection list.
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetCategoryName | Get current object name.
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetId | Get current object unique id.
Public method | GetItemById | Get a cat by its unique id.
Public method | GetItemList | Get all GTACollectionItem as an array.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | ItemExists | Indicate if the cat currently exists.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | SetCategoryName | Set object name.
Public method | SetId | Set object unique id.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

GTACollectionCategory Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionCategory.AddItem Method

GTACollectionCategoryAddItem Method

Add an new cat to the collection list.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public bool AddItem(
    string Id,
    GTACollectionItem Value,
    bool Update = true
)

Parameters

Id
Type: SystemString
String containing the parameter unique name.
Value
Type: LCPDDevice.API.CollectionsGTACollectionItem
GTACollectionItem object to be added.
Update (Optional)
Type: SystemBoolean
Flag indicating if the parameter should be updated if already found.

Return Value

Type: Boolean
True if the addition or update is successful, false otherwise.
See Also

Reference

GTACollectionCategory Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionCategory.GetCategoryName Method

GTACollectionCategoryGetCategoryName Method

Get current object name.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public string GetCategoryName()

Return Value

Type: String
String representing object name.
See Also

Reference

GTACollectionCategory Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionCategory.GetId Method

GTACollectionCategoryGetId Method

Get current object unique id.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public string GetId()

Return Value

Type: String
String representing object unique id.
See Also

Reference

GTACollectionCategory Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionCategory.GetItemById Method

GTACollectionCategoryGetItemById Method

Get a cat by its unique id.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public GTACollectionItem GetItemById(
    string Id
)

Parameters

Id
Type: SystemString
String containing the parameter unique name.

Return Value

Type: GTACollectionItem
GTACollectionItem if found, null otherwise.
See Also

Reference

GTACollectionCategory Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionCategory.GetItemList Method

GTACollectionCategoryGetItemList Method

Get all GTACollectionItem as an array.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public GTACollectionItem[] GetItemList()

Return Value

Type: GTACollectionItem
Array of GTACollectionItem objects.
See Also

Reference

GTACollectionCategory Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionCategory.ItemExists Method

GTACollectionCategoryItemExists Method

Indicate if the cat currently exists.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public bool ItemExists(
    string Id
)

Parameters

Id
Type: SystemString
String containing the key name.

Return Value

Type: Boolean
True if the key exists, false otherwise.
See Also

Reference

GTACollectionCategory Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionCategory.SetCategoryName Method

GTACollectionCategorySetCategoryName Method

Set object name.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public void SetCategoryName(
    string Name
)

Parameters

Name
Type: SystemString
String representing the object name.
See Also

Reference

GTACollectionCategory Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionCategory.SetId Method

GTACollectionCategorySetId Method

Set object unique id.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public void SetId(
    string Id
)

Parameters

Id
Type: SystemString
String representing an unique id.
See Also

Reference

GTACollectionCategory Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionItem Class

GTACollectionItem Class

Represents a single GTA Collection item.
Inheritance Hierarchy
SystemObject
LCPDDevice.API.CollectionsGTACollectionItem

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public class GTACollectionItem

The GTACollectionItem type exposes the following members.

Constructors
 | Name | Description
Public method | GTACollectionItem | Object constructor.
Top
Methods
 | Name | Description
Public method | AddParam | Add an new parameter to the collection list.
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetAllParams | Get all parameters as NameValueCollection object.
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetId | Get current object unique id.
Public method | GetParamById | Get a parameter by its unique id.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ParamExists | Indicate if the parameter currently exists.
Public method | SetId | Set object unique id.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionItem Constructor

GTACollectionItem Constructor

Object constructor.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public GTACollectionItem()
See Also

Reference

GTACollectionItem Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionItem Methods

GTACollectionItem Methods

The GTACollectionItem type exposes the following members.

Methods
 | Name | Description
Public method | AddParam | Add an new parameter to the collection list.
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetAllParams | Get all parameters as NameValueCollection object.
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetId | Get current object unique id.
Public method | GetParamById | Get a parameter by its unique id.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ParamExists | Indicate if the parameter currently exists.
Public method | SetId | Set object unique id.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

GTACollectionItem Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionItem.AddParam Method

GTACollectionItemAddParam Method

Add an new parameter to the collection list.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public bool AddParam(
    string Id,
    string Value,
    bool Update = true
)

Parameters

Id
Type: SystemString
String containing the parameter unique name.
Value
Type: SystemString
String containing the parameter value.
Update (Optional)
Type: SystemBoolean
Flag indicating if the parameter should be updated if already found.

Return Value

Type: Boolean
True if the addition or update is successful, false otherwise.
See Also

Reference

GTACollectionItem Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionItem.GetAllParams Method

GTACollectionItemGetAllParams Method

Get all parameters as NameValueCollection object.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public NameValueCollection GetAllParams()

Return Value

Type: NameValueCollection
NameValueCollection with all parameters.
See Also

Reference

GTACollectionItem Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionItem.GetId Method

GTACollectionItemGetId Method

Get current object unique id.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public string GetId()

Return Value

Type: String
String representing object unique id.
See Also

Reference

GTACollectionItem Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionItem.GetParamById Method

GTACollectionItemGetParamById Method

Get a parameter by its unique id.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public string GetParamById(
    string Id,
    string Default
)

Parameters

Id
Type: SystemString
String containing the parameter unique name.s
Default
Type: SystemString
String containing the default value to be returned if the parameter is not found.

Return Value

Type: String
String with the parameter value, or Default value if not found.
See Also

Reference

GTACollectionItem Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionItem.ParamExists Method

GTACollectionItemParamExists Method

Indicate if the parameter currently exists.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public bool ParamExists(
    string Id
)

Parameters

Id
Type: SystemString
String containing the key name.

Return Value

Type: Boolean
True if the key exists, false otherwise.
See Also

Reference

GTACollectionItem Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionItem.SetId Method

GTACollectionItemSetId Method

Set object unique id.

Namespace: LCPDDevice.API.Collections
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public void SetId(
    string Id
)

Parameters

Id
Type: SystemString
String representing an unique id.
See Also

Reference

GTACollectionItem Class
LCPDDevice.API.Collections Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


LCPDDevice.API.Managers Namespace

LCPDDevice.API.Managers Namespace

Classes
 | Class | Description
Public class | AppManager | Application manager. Responsible to controll all app instances.
Public class | DeviceManager | Externalize some important functions of the device.
Public class | GTACollectionManager | GTA Collection manager. Responsible for loading collections and managing them.
Public class | NotificationManager | Manages all notifications.
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppManager Class

AppManager Class

Application manager. Responsible to controll all app instances.
Inheritance Hierarchy
SystemObject
LCPDDevice.API.ManagersAppManager

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public class AppManager

The AppManager type exposes the following members.

Methods
 | Name | Description
Public method | AddApplication | Add an AppInfo to the current loaded list.
Public method | AppExists | Check if any application exists with the given ID.
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetAppById | Get an AppInfo by its Id.
Public method | GetAppList | Get a list of all loaded applications.
Public method | GetAppScriptList | Get a list of all loaded applications that contains scripts.
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
 | GetInstance | Return a valid instance of this class or create a new one if necessary.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | GoToHome | Close current application and open the homescreen.
Public method | LaunchApp | Launch an Application UI.
Public method | Load | Load all applications information.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

LCPDDevice.API.Managers Namespace
LCPDDevice.API.AppAppUI
LCPDDevice.API.AppAppScript
LCPDDevice.APIAppInfo
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppManager Methods

AppManager Methods

The AppManager type exposes the following members.

Methods
 | Name | Description
Public method | AddApplication | Add an AppInfo to the current loaded list.
Public method | AppExists | Check if any application exists with the given ID.
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetAppById | Get an AppInfo by its Id.
Public method | GetAppList | Get a list of all loaded applications.
Public method | GetAppScriptList | Get a list of all loaded applications that contains scripts.
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
 | GetInstance | Return a valid instance of this class or create a new one if necessary.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | GoToHome | Close current application and open the homescreen.
Public method | LaunchApp | Launch an Application UI.
Public method | Load | Load all applications information.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

AppManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppManager.AddApplication Method

AppManagerAddApplication Method

Add an AppInfo to the current loaded list.

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public void AddApplication(
    string id,
    AppInfo appInfo
)

Parameters

id
Type: SystemString
String containing the application ID.
appInfo
Type: LCPDDevice.APIAppInfo
AppInfo structure.
See Also

Reference

AppManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppManager.AppExists Method

AppManagerAppExists Method

Check if any application exists with the given ID.

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public bool AppExists(
    string id
)

Parameters

id
Type: SystemString
String containing the application ID.

Return Value

Type: Boolean
True if the app exists, false otherwise.
See Also

Reference

AppManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppManager.GetAppById Method

AppManagerGetAppById Method

Get an AppInfo by its Id.

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public AppInfo GetAppById(
    string id
)

Parameters

id
Type: SystemString
String containing the application ID

Return Value

Type: AppInfo
AppInfo if found. Blank structure otherwise.
See Also

Reference

AppManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppManager.GetAppList Method

AppManagerGetAppList Method

Get a list of all loaded applications.

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public List<AppInfo> GetAppList()

Return Value

Type: List AppInfo
A list containing all loaded applications.
See Also

Reference

AppManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppManager.GetAppScriptList Method

AppManagerGetAppScriptList Method

Get a list of all loaded applications that contains scripts.

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public List<AppInfo> GetAppScriptList()

Return Value

Type: List AppInfo
A list containing all loaded applications.
See Also

Reference

AppManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppManager.GetInstance Method

AppManagerGetInstance Method

Return a valid instance of this class or create a new one if necessary.

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public static AppManager GetInstance()

Return Value

Type: AppManager
AppManager valid instance.
See Also

Reference

AppManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppManager.GoToHome Method

AppManagerGoToHome Method

Close current application and open the homescreen.

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public void GoToHome()
See Also

Reference

AppManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppManager.LaunchApp Method

AppManagerLaunchApp Method

Launch an Application UI.

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public void LaunchApp(
    string id
)

Parameters

id
Type: SystemString
Application ID.
See Also

Reference

AppManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppManager.Load Method

AppManagerLoad Method

Load all applications information.

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public void Load()
See Also

Reference

AppManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


DeviceManager Class

DeviceManager Class

Externalize some important functions of the device.
Inheritance Hierarchy
SystemObject
LCPDDevice.API.ManagersDeviceManager

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public class DeviceManager

The DeviceManager type exposes the following members.

Methods
 | Name | Description
Public method | CloseDevice | Close the device.
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
 | GetInstance | Return a valid instance of this class or create a new one if necessary.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | OpenDevice | Open the device.
Public method | ToggleDevice | Open/Close the device.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


DeviceManager Methods

DeviceManager Methods

The DeviceManager type exposes the following members.

Methods
 | Name | Description
Public method | CloseDevice | Close the device.
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
 | GetInstance | Return a valid instance of this class or create a new one if necessary.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | OpenDevice | Open the device.
Public method | ToggleDevice | Open/Close the device.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

DeviceManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


DeviceManager.CloseDevice Method

DeviceManagerCloseDevice Method

Close the device.

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public void CloseDevice()
See Also

Reference

DeviceManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


DeviceManager.GetInstance Method

DeviceManagerGetInstance Method

Return a valid instance of this class or create a new one if necessary.

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public static DeviceManager GetInstance()

Return Value

Type: DeviceManager
DeviceManager valid instance.
See Also

Reference

DeviceManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


DeviceManager.OpenDevice Method

DeviceManagerOpenDevice Method

Open the device.

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public void OpenDevice()
See Also

Reference

DeviceManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


DeviceManager.ToggleDevice Method

DeviceManagerToggleDevice Method

Open/Close the device.

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public void ToggleDevice()
See Also

Reference

DeviceManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionManager Class

GTACollectionManager Class

GTA Collection manager. Responsible for loading collections and managing them.
Inheritance Hierarchy
SystemObject
LCPDDevice.API.ManagersGTACollectionManager

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public class GTACollectionManager

The GTACollectionManager type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetCollection | Return a collection found by its Id.
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
 | GetInstance | Return a valid instance of this class or create a new one if necessary.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | LoadCollectionFromFile | Load a entire collection from a file.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionManager Methods

GTACollectionManager Methods

The GTACollectionManager type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetCollection | Return a collection found by its Id.
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
 | GetInstance | Return a valid instance of this class or create a new one if necessary.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | LoadCollectionFromFile | Load a entire collection from a file.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

GTACollectionManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionManager.GetCollection Method

GTACollectionManagerGetCollection Method

Return a collection found by its Id.

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public GTACollection GetCollection(
    string Id
)

Parameters

Id
Type: SystemString
String containing the collection Id to be found.

Return Value

Type: GTACollection
GTACollection found or null otherwise.
See Also

Reference

GTACollectionManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionManager.GetInstance Method

GTACollectionManagerGetInstance Method

Return a valid instance of this class or create a new one if necessary.

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public static GTACollectionManager GetInstance()

Return Value

Type: GTACollectionManager
GTACollectionManager valid instance.
See Also

Reference

GTACollectionManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


GTACollectionManager.LoadCollectionFromFile Method

GTACollectionManagerLoadCollectionFromFile Method

Load a entire collection from a file.

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public GTACollection LoadCollectionFromFile(
    string filename
)

Parameters

filename
Type: SystemString
String containing the full file path to be loaded.

Return Value

Type: GTACollection
GTACollection object loaded from the file or null if any error occurs.
See Also

Reference

GTACollectionManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


NotificationManager Class

NotificationManager Class

Manages all notifications.
Inheritance Hierarchy
SystemObject
LCPDDevice.API.ManagersNotificationManager

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public class NotificationManager

The NotificationManager type exposes the following members.

Methods
 | Name | Description
Public method | AddNotification | Add a notification to the current notification queue.
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Destroy the NotificationManager class. (Overrides ObjectFinalize.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
 | GetInstance | Get the current NotificationManager valid instance.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | RemoveNotificationById | Remove a notification from the system
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


NotificationManager Methods

NotificationManager Methods

The NotificationManager type exposes the following members.

Methods
 | Name | Description
Public method | AddNotification | Add a notification to the current notification queue.
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Destroy the NotificationManager class. (Overrides ObjectFinalize.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
 | GetInstance | Get the current NotificationManager valid instance.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | RemoveNotificationById | Remove a notification from the system
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

NotificationManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


NotificationManager.AddNotification Method

NotificationManagerAddNotification Method

Add a notification to the current notification queue.

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public string AddNotification(
    AppBase app,
    NotificationInfo notif,
    string notifID = ""
)

Parameters

app
Type: LCPDDevice.API.AppAppBase
Owner application of this notification.
notif
Type: LCPDDevice.APINotificationInfo
notification structure.
notifID (Optional)
Type: SystemString
String containing an unique id for this notification (optional).

Return Value

Type: String
String containing the unique id of newly created notification, null otherwise.
See Also

Reference

NotificationManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


NotificationManager.Finalize Method

NotificationManagerFinalize Method

Destroy the NotificationManager class.

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
protected override void Finalize()
See Also

Reference

NotificationManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


NotificationManager.GetInstance Method

NotificationManagerGetInstance Method

Get the current NotificationManager valid instance.

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public static NotificationManager GetInstance()

Return Value

Type: NotificationManager
NotificationManager instance
See Also

Reference

NotificationManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


NotificationManager.RemoveNotificationById Method

NotificationManagerRemoveNotificationById Method

Remove a notification from the system

Namespace: LCPDDevice.API.Managers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public bool RemoveNotificationById(
    AppBase app,
    string notifID
)

Parameters

app
Type: LCPDDevice.API.AppAppBase
notifID
Type: SystemString

Return Value

Type: Boolean

[Missing <returns> documentation for "M:LCPDDevice.API.Managers.NotificationManager.RemoveNotificationById(LCPDDevice.API.App.AppBase,System.String)"]

See Also

Reference

NotificationManager Class
LCPDDevice.API.Managers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


LCPDDevice.Configs Namespace

LCPDDevice.Configs Namespace

Classes
 | Class | Description
Public class | AppConfig | Handle the configurations of an App.
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppConfig Class

AppConfig Class

Handle the configurations of an App.
Inheritance Hierarchy
SystemObject
LCPDDevice.ConfigsAppConfig

Namespace: LCPDDevice.Configs
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public class AppConfig

The AppConfig type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetConfig | Return the IniFile instance.
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
 | GetInstance | Get a valid instance of this class or create a new one if necessary.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Load | Load the configuration file if found.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
Fields
 | Name | Description
Public field | AppDir | Application Directory Path
Public field | AppDLL | Application DLL file.
Public field | AppIcon | Application icon resource (filename).
Public field | AppID | Application Unique ID
Public field | AppName | Application Name
Public field | Enabled | Define if the app is enabled or not.
Public field | MaxApiVersion | Maximum API version to run this application.
Public field | MinApiVersion | Minimum API version to run this application.
Top
See Also

Reference

LCPDDevice.Configs Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppConfig Fields

AppConfig Fields

The AppConfig type exposes the following members.

Fields
 | Name | Description
Public field | AppDir | Application Directory Path
Public field | AppDLL | Application DLL file.
Public field | AppIcon | Application icon resource (filename).
Public field | AppID | Application Unique ID
Public field | AppName | Application Name
Public field | Enabled | Define if the app is enabled or not.
Public field | MaxApiVersion | Maximum API version to run this application.
Public field | MinApiVersion | Minimum API version to run this application.
Top
See Also

Reference

AppConfig Class
LCPDDevice.Configs Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppConfig.AppDir Field

AppConfigAppDir Field

Application Directory Path

Namespace: LCPDDevice.Configs
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public string AppDir

Field Value

Type: String
See Also

Reference

AppConfig Class
LCPDDevice.Configs Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppConfig.AppDLL Field

AppConfigAppDLL Field

Application DLL file.

Namespace: LCPDDevice.Configs
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public string AppDLL

Field Value

Type: String
See Also

Reference

AppConfig Class
LCPDDevice.Configs Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppConfig.AppIcon Field

AppConfigAppIcon Field

Application icon resource (filename).

Namespace: LCPDDevice.Configs
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public string AppIcon

Field Value

Type: String
See Also

Reference

AppConfig Class
LCPDDevice.Configs Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppConfig.AppID Field

AppConfigAppID Field

Application Unique ID

Namespace: LCPDDevice.Configs
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public string AppID

Field Value

Type: String
See Also

Reference

AppConfig Class
LCPDDevice.Configs Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppConfig.AppName Field

AppConfigAppName Field

Application Name

Namespace: LCPDDevice.Configs
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public string AppName

Field Value

Type: String
See Also

Reference

AppConfig Class
LCPDDevice.Configs Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppConfig.Enabled Field

AppConfigEnabled Field

Define if the app is enabled or not.

Namespace: LCPDDevice.Configs
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public bool Enabled

Field Value

Type: Boolean
See Also

Reference

AppConfig Class
LCPDDevice.Configs Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppConfig.MaxApiVersion Field

AppConfigMaxApiVersion Field

Maximum API version to run this application.

Namespace: LCPDDevice.Configs
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public string MaxApiVersion

Field Value

Type: String
See Also

Reference

AppConfig Class
LCPDDevice.Configs Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppConfig.MinApiVersion Field

AppConfigMinApiVersion Field

Minimum API version to run this application.

Namespace: LCPDDevice.Configs
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public string MinApiVersion

Field Value

Type: String
See Also

Reference

AppConfig Class
LCPDDevice.Configs Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppConfig Methods

AppConfig Methods

The AppConfig type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetConfig | Return the IniFile instance.
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
 | GetInstance | Get a valid instance of this class or create a new one if necessary.
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Public method | Load | Load the configuration file if found.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

AppConfig Class
LCPDDevice.Configs Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppConfig.GetConfig Method

AppConfigGetConfig Method

Return the IniFile instance.

Namespace: LCPDDevice.Configs
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public IniFile GetConfig()

Return Value

Type: IniFile
IniFile instance.
See Also

Reference

AppConfig Class
LCPDDevice.Configs Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppConfig.GetInstance Method

AppConfigGetInstance Method

Get a valid instance of this class or create a new one if necessary.

Namespace: LCPDDevice.Configs
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public static AppConfig GetInstance(
    string DirName
)

Parameters

DirName
Type: SystemString
String containing the directory name of the App to be read.

Return Value

Type: AppConfig
AppConfig instance
See Also

Reference

AppConfig Class
LCPDDevice.Configs Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


AppConfig.Load Method

AppConfigLoad Method

Load the configuration file if found.

Namespace: LCPDDevice.Configs
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public bool Load()

Return Value

Type: Boolean
True when successful, false otherwise.
See Also

Reference

AppConfig Class
LCPDDevice.Configs Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


LCPDDevice.Helpers Namespace

LCPDDevice.Helpers Namespace

Classes
 | Class | Description
Public class | ImageHelper | Helper file to image data's.
Public class | IniFile | Helper class to read an Ini file.
Public class | LayoutHelper | Helper class to convert a XML file to a list of valid Controls.
Public class | LoggerHelper | General Logging Helper.
Public class | StringHelper | General converter for strings.
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


ImageHelper Class

ImageHelper Class

Helper file to image data's.
Inheritance Hierarchy
SystemObject
LCPDDevice.HelpersImageHelper

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public class ImageHelper

The ImageHelper type exposes the following members.

Constructors
 | Name | Description
Public method | ImageHelper | Initializes a new instance of the ImageHelper class
Top
Methods
 | Name | Description
 | BytesToBitmap | Convert a Byte array to a Bitmap.
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
 | LoadAppIcon | Load the application icon or use the default for non-existent ones.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


ImageHelper Constructor

ImageHelper Constructor

Initializes a new instance of the ImageHelper class

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public ImageHelper()
See Also

Reference

ImageHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


ImageHelper Methods

ImageHelper Methods

The ImageHelper type exposes the following members.

Methods
 | Name | Description
 | BytesToBitmap | Convert a Byte array to a Bitmap.
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
 | LoadAppIcon | Load the application icon or use the default for non-existent ones.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

ImageHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


ImageHelper.BytesToBitmap Method

ImageHelperBytesToBitmap Method

Convert a Byte array to a Bitmap.

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public static Bitmap BytesToBitmap(
    byte[] byteArray
)

Parameters

byteArray
Type: SystemByte
Array of Byte.

Return Value

Type: Bitmap
Bitmap descriptor.
See Also

Reference

ImageHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


ImageHelper.LoadAppIcon Method

ImageHelperLoadAppIcon Method

Load the application icon or use the default for non-existent ones.

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public static Texture LoadAppIcon(
    AppInfo appInfo
)

Parameters

appInfo
Type: LCPDDevice.APIAppInfo
AppInfo structure containing the required information.

Return Value

Type: Texture
Loaded or default texture.
See Also

Reference

ImageHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


IniFile Class

IniFile Class

Helper class to read an Ini file.
Inheritance Hierarchy
SystemObject
LCPDDevice.HelpersIniFile

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public class IniFile

The IniFile type exposes the following members.

Constructors
 | Name | Description
Public method | IniFile | INIFile Constructor.
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ReadBoolean | Read a boolean value from the Ini File
Public method | ReadDouble | Read a double value from the Ini File
Public method | ReadFloat | Read a floating value from the Ini File
Public method | ReadInteger | Read an integer value from the Ini File
Public method | ReadKey | Read a Keys value from the Ini File
Public method | ReadString | Read a string value from the Ini File
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Public method | WriteBoolean | Write a boolean value to the Ini File
Public method | WriteDouble | Write a double value to the Ini File
Public method | WriteFloat | Write a float value to the Ini File
Public method | WriteInt | Write an integer value to the Ini File
Public method | WriteKey | Write a Keys value to the Ini File
Public method | WriteString | Write a string value to the Ini File
Top
See Also

Reference

LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


IniFile Constructor

IniFile Constructor

INIFile Constructor.

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public IniFile(
    string INIPath
)

Parameters

INIPath
Type: SystemString
String containing the path of the ini file.
See Also

Reference

IniFile Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


IniFile Methods

IniFile Methods

The IniFile type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ReadBoolean | Read a boolean value from the Ini File
Public method | ReadDouble | Read a double value from the Ini File
Public method | ReadFloat | Read a floating value from the Ini File
Public method | ReadInteger | Read an integer value from the Ini File
Public method | ReadKey | Read a Keys value from the Ini File
Public method | ReadString | Read a string value from the Ini File
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Public method | WriteBoolean | Write a boolean value to the Ini File
Public method | WriteDouble | Write a double value to the Ini File
Public method | WriteFloat | Write a float value to the Ini File
Public method | WriteInt | Write an integer value to the Ini File
Public method | WriteKey | Write a Keys value to the Ini File
Public method | WriteString | Write a string value to the Ini File
Top
See Also

Reference

IniFile Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


IniFile.ReadBoolean Method

IniFileReadBoolean Method

Read a boolean value from the Ini File

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public bool ReadBoolean(
    string Section,
    string Key,
    bool Default
)

Parameters

Section
Type: SystemString
String containing the name of the section to be read.
Key
Type: SystemString
String containing the name of the key to be read.
Default
Type: SystemBoolean
String containing the default value to be set in case of any errors.

Return Value

Type: Boolean
Value loaded from the Ini File or Default if any error occurs
See Also

Reference

IniFile Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


IniFile.ReadDouble Method

IniFileReadDouble Method

Read a double value from the Ini File

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public double ReadDouble(
    string Section,
    string Key,
    double Default
)

Parameters

Section
Type: SystemString
String containing the name of the section to be read.
Key
Type: SystemString
String containing the name of the key to be read.
Default
Type: SystemDouble
String containing the default value to be set in case of any errors.

Return Value

Type: Double
Value loaded from the Ini File or Default if any error occurs
See Also

Reference

IniFile Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


IniFile.ReadFloat Method

IniFileReadFloat Method

Read a floating value from the Ini File

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public float ReadFloat(
    string Section,
    string Key,
    float Default
)

Parameters

Section
Type: SystemString
String containing the name of the section to be read.
Key
Type: SystemString
String containing the name of the key to be read.
Default
Type: SystemSingle
String containing the default value to be set in case of any errors.

Return Value

Type: Single
Value loaded from the Ini File or Default if any error occurs
See Also

Reference

IniFile Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


IniFile.ReadInteger Method

IniFileReadInteger Method

Read an integer value from the Ini File

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public int ReadInteger(
    string Section,
    string Key,
    int Default
)

Parameters

Section
Type: SystemString
String containing the name of the section to be read.
Key
Type: SystemString
String containing the name of the key to be read.
Default
Type: SystemInt32
String containing the default value to be set in case of any errors.

Return Value

Type: Int32
Value loaded from the Ini File or Default if any error occurs
See Also

Reference

IniFile Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


IniFile.ReadKey Method

IniFileReadKey Method

Read a Keys value from the Ini File

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public Keys ReadKey(
    string Section,
    string Key,
    Keys Default
)

Parameters

Section
Type: SystemString
String containing the name of the section to be read.
Key
Type: SystemString
String containing the name of the key to be read.
Default
Type: System.Windows.FormsKeys
String containing the default value to be set in case of any errors.

Return Value

Type: Keys
Value loaded from the Ini File or Default if any error occurs
See Also

Reference

IniFile Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


IniFile.ReadString Method

IniFileReadString Method

Read a string value from the Ini File

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public string ReadString(
    string Section,
    string Key,
    string Default
)

Parameters

Section
Type: SystemString
String containing the name of the section to be read.
Key
Type: SystemString
String containing the name of the key to be read.
Default
Type: SystemString
String containing the default value to be set in case of any errors.

Return Value

Type: String
Value loaded from the Ini File or Default if any error occurs
See Also

Reference

IniFile Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


IniFile.WriteBoolean Method

IniFileWriteBoolean Method

Write a boolean value to the Ini File

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public void WriteBoolean(
    string Section,
    string Key,
    bool Value
)

Parameters

Section
Type: SystemString
String containing the name of the section to be written.
Key
Type: SystemString
String containing the name of the key to be written.
Value
Type: SystemBoolean
String containing the value to be written.
See Also

Reference

IniFile Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


IniFile.WriteDouble Method

IniFileWriteDouble Method

Write a double value to the Ini File

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public void WriteDouble(
    string Section,
    string Key,
    double Value
)

Parameters

Section
Type: SystemString
String containing the name of the section to be written.
Key
Type: SystemString
String containing the name of the key to be written.
Value
Type: SystemDouble
String containing the value to be written.
See Also

Reference

IniFile Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


IniFile.WriteFloat Method

IniFileWriteFloat Method

Write a float value to the Ini File

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public void WriteFloat(
    string Section,
    string Key,
    float Value
)

Parameters

Section
Type: SystemString
String containing the name of the section to be written.
Key
Type: SystemString
String containing the name of the key to be written.
Value
Type: SystemSingle
String containing the value to be written.
See Also

Reference

IniFile Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


IniFile.WriteInt Method

IniFileWriteInt Method

Write an integer value to the Ini File

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public void WriteInt(
    string Section,
    string Key,
    int Value
)

Parameters

Section
Type: SystemString
String containing the name of the section to be written.
Key
Type: SystemString
String containing the name of the key to be written.
Value
Type: SystemInt32
String containing the value to be written.
See Also

Reference

IniFile Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


IniFile.WriteKey Method

IniFileWriteKey Method

Write a Keys value to the Ini File

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public void WriteKey(
    string Section,
    string Key,
    Keys Value
)

Parameters

Section
Type: SystemString
String containing the name of the section to be written.
Key
Type: SystemString
String containing the name of the key to be written.
Value
Type: System.Windows.FormsKeys
String containing the value to be written.
See Also

Reference

IniFile Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


IniFile.WriteString Method

IniFileWriteString Method

Write a string value to the Ini File

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public void WriteString(
    string Section,
    string Key,
    string Value
)

Parameters

Section
Type: SystemString
String containing the name of the section to be written.
Key
Type: SystemString
String containing the name of the key to be written.
Value
Type: SystemString
String containing the value to be written.
See Also

Reference

IniFile Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


LayoutHelper Class

LayoutHelper Class

Helper class to convert a XML file to a list of valid Controls.
Inheritance Hierarchy
SystemObject
LCPDDevice.HelpersLayoutHelper

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public class LayoutHelper

The LayoutHelper type exposes the following members.

Constructors
 | Name | Description
Public method | LayoutHelper | Initializes a new instance of the LayoutHelper class
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
 | LoadLayout | Load a XML file and return a list of valid Controls.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


LayoutHelper Constructor

LayoutHelper Constructor

Initializes a new instance of the LayoutHelper class

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public LayoutHelper()
See Also

Reference

LayoutHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


LayoutHelper Methods

LayoutHelper Methods

The LayoutHelper type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
 | LoadLayout | Load a XML file and return a list of valid Controls.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

LayoutHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


LayoutHelper.LoadLayout Method

LayoutHelperLoadLayout Method

Load a XML file and return a list of valid Controls.

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public static List<Control> LoadLayout(
    string filename
)

Parameters

filename
Type: SystemString
String containing the XML filename to be loaded.

Return Value

Type: List Control
A list of valid control elements loaded from the XML file.
See Also

Reference

LayoutHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


LoggerHelper Class

LoggerHelper Class

General Logging Helper.
Inheritance Hierarchy
SystemObject
LCPDDevice.HelpersLoggerHelper

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public class LoggerHelper

The LoggerHelper type exposes the following members.

Constructors
 | Name | Description
Public method | LoggerHelper | Initializes a new instance of the LoggerHelper class
Top
Methods
 | Name | Description
 | DebugMessage | Print a debug message on the console and save it to the log file.
 | DebugUniqueMessage | Print a debug message if not equal of the last one with the same unique Id. Useful for statuses or printing inside loops to avoid console overflow from the same message. The message is also saved to the log file.
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


LoggerHelper Constructor

LoggerHelper Constructor

Initializes a new instance of the LoggerHelper class

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public LoggerHelper()
See Also

Reference

LoggerHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


LoggerHelper Methods

LoggerHelper Methods

The LoggerHelper type exposes the following members.

Methods
 | Name | Description
 | DebugMessage | Print a debug message on the console and save it to the log file.
 | DebugUniqueMessage | Print a debug message if not equal of the last one with the same unique Id. Useful for statuses or printing inside loops to avoid console overflow from the same message. The message is also saved to the log file.
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

LoggerHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


LoggerHelper.DebugMessage Method

LoggerHelperDebugMessage Method

Print a debug message on the console and save it to the log file.

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public static void DebugMessage(
    AppBase app,
    string msg
)

Parameters

app
Type: LCPDDevice.API.AppAppBase
Current application instance.
msg
Type: SystemString
String containing the message to be saved and displayed.
See Also

Reference

LoggerHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


LoggerHelper.DebugUniqueMessage Method

LoggerHelperDebugUniqueMessage Method

Print a debug message if not equal of the last one with the same unique Id. Useful for statuses or printing inside loops to avoid console overflow from the same message. The message is also saved to the log file.

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public static void DebugUniqueMessage(
    AppBase app,
    string uniqueId,
    string message
)

Parameters

app
Type: LCPDDevice.API.AppAppBase
Current application instance.
uniqueId
Type: SystemString
String containing the unique Id to track changes.
message
Type: SystemString
String containing the message to be logged.
See Also

Reference

LoggerHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


StringHelper Class

StringHelper Class

General converter for strings.
Inheritance Hierarchy
SystemObject
LCPDDevice.HelpersStringHelper

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public class StringHelper

The StringHelper type exposes the following members.

Constructors
 | Name | Description
Public method | StringHelper | Initializes a new instance of the StringHelper class
Top
Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
 | IsValidID | Check if the given string is a valid id (a-zA-Z0-9_) string.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ReadSafeBool | Convert a string to a boolean Value. Uses Default parameter in case of failure.
 | ReadSafeColor | Convert a string to a Color structure. Uses Default parameter in case of failure.
 | ReadSafeDouble | Convert a string to a double Value. Uses Default parameter in case of failure.
 | ReadSafeFloat | Convert a string to a floating Value. Uses Default parameter in case of failure.
 | ReadSafeInt | Convert a string to an integer Value. Uses Default parameter in case of failure.
 | ReadSafeKey | Convert a string to a Keys Enum appType. Uses Default parameter in case of failure.
 | ReadSafePoint | Convert a string to a Point structure. Uses Default parameter in case of failure.
 | ReadSafeSize | Convert a string to a Size structure. Uses Default parameter in case of failure.
 | ReadSafeVector | Convert a string to a Vector3 structure. Uses Default parameter in case of failure.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


StringHelper Constructor

StringHelper Constructor

Initializes a new instance of the StringHelper class

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public StringHelper()
See Also

Reference

StringHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


StringHelper Methods

StringHelper Methods

The StringHelper type exposes the following members.

Methods
 | Name | Description
Public method | Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
Protected method | Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
Public method | GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
Public method | GetType | Gets the Type of the current instance. (Inherited from Object.)
 | IsValidID | Check if the given string is a valid id (a-zA-Z0-9_) string.
Protected method | MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
 | ReadSafeBool | Convert a string to a boolean Value. Uses Default parameter in case of failure.
 | ReadSafeColor | Convert a string to a Color structure. Uses Default parameter in case of failure.
 | ReadSafeDouble | Convert a string to a double Value. Uses Default parameter in case of failure.
 | ReadSafeFloat | Convert a string to a floating Value. Uses Default parameter in case of failure.
 | ReadSafeInt | Convert a string to an integer Value. Uses Default parameter in case of failure.
 | ReadSafeKey | Convert a string to a Keys Enum appType. Uses Default parameter in case of failure.
 | ReadSafePoint | Convert a string to a Point structure. Uses Default parameter in case of failure.
 | ReadSafeSize | Convert a string to a Size structure. Uses Default parameter in case of failure.
 | ReadSafeVector | Convert a string to a Vector3 structure. Uses Default parameter in case of failure.
Public method | ToString | Returns a string that represents the current object. (Inherited from Object.)
Top
See Also

Reference

StringHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


StringHelper.IsValidID Method

StringHelperIsValidID Method

Check if the given string is a valid id (a-zA-Z0-9_) string.

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public static bool IsValidID(
    string Value
)

Parameters

Value
Type: SystemString
String to be valided

Return Value

Type: Boolean
True or false
See Also

Reference

StringHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


StringHelper.ReadSafeBool Method

StringHelperReadSafeBool Method

Convert a string to a boolean Value. Uses Default parameter in case of failure.

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public static bool ReadSafeBool(
    string Value,
    bool Default
)

Parameters

Value
Type: SystemString
String to be converted.
Default
Type: SystemBoolean
Default Value to be used if the conversion fails.

Return Value

Type: Boolean
Converted Value or default Value if any failure occurs.
See Also

Reference

StringHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


StringHelper.ReadSafeColor Method

StringHelperReadSafeColor Method

Convert a string to a Color structure. Uses Default parameter in case of failure.

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public static Color ReadSafeColor(
    string Value,
    Color Default
)

Parameters

Value
Type: SystemString
String to be converted.
Default
Type: System.DrawingColor
Default Value to be used if the conversion fails.

Return Value

Type: Color
Converted Value or default Value if any failure occurs.
See Also

Reference

StringHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


StringHelper.ReadSafeDouble Method

StringHelperReadSafeDouble Method

Convert a string to a double Value. Uses Default parameter in case of failure.

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public static double ReadSafeDouble(
    string Value,
    double Default
)

Parameters

Value
Type: SystemString
String to be converted.
Default
Type: SystemDouble
Default Value to be used if the conversion fails.

Return Value

Type: Double
Converted Value or default Value if any failure occurs.
See Also

Reference

StringHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


StringHelper.ReadSafeFloat Method

StringHelperReadSafeFloat Method

Convert a string to a floating Value. Uses Default parameter in case of failure.

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public static float ReadSafeFloat(
    string Value,
    float Default
)

Parameters

Value
Type: SystemString
String to be converted.
Default
Type: SystemSingle
Default Value to be used if the conversion fails.

Return Value

Type: Single
Converted Value or default Value if any failure occurs.
See Also

Reference

StringHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


StringHelper.ReadSafeInt Method

StringHelperReadSafeInt Method

Convert a string to an integer Value. Uses Default parameter in case of failure.

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public static int ReadSafeInt(
    string Value,
    int Default
)

Parameters

Value
Type: SystemString
String to be converted.
Default
Type: SystemInt32
Default Value to be used if the conversion fails.

Return Value

Type: Int32
Converted Value or default Value if any failure occurs.
See Also

Reference

StringHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


StringHelper.ReadSafeKey Method

StringHelperReadSafeKey Method

Convert a string to a Keys Enum appType. Uses Default parameter in case of failure.

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public static Keys ReadSafeKey(
    string Value,
    Keys Default
)

Parameters

Value
Type: SystemString
String to be converted.
Default
Type: System.Windows.FormsKeys
Default Value to be used if the conversion fails.

Return Value

Type: Keys
Converted Value or default Value if any failure occurs.
See Also

Reference

StringHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


StringHelper.ReadSafePoint Method

StringHelperReadSafePoint Method

Convert a string to a Point structure. Uses Default parameter in case of failure.

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public static Point ReadSafePoint(
    string Value,
    Point Default
)

Parameters

Value
Type: SystemString
String to be converted.
Default
Type: System.DrawingPoint
Default Value to be used if the conversion fails.

Return Value

Type: Point
Converted Value or default Value if any failure occurs.
See Also

Reference

StringHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


StringHelper.ReadSafeSize Method

StringHelperReadSafeSize Method

Convert a string to a Size structure. Uses Default parameter in case of failure.

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public static Size ReadSafeSize(
    string Value,
    Size Default
)

Parameters

Value
Type: SystemString
String to be converted.
Default
Type: System.DrawingSize
Default Value to be used if the conversion fails.

Return Value

Type: Size
Converted Value or default Value if any failure occurs.
See Also

Reference

StringHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.


StringHelper.ReadSafeVector Method

StringHelperReadSafeVector Method

Convert a string to a Vector3 structure. Uses Default parameter in case of failure.

Namespace: LCPDDevice.Helpers
Assembly: LCPDDevice.net (in LCPDDevice.net.dll) Version: 0.0.2.0 (0.0.1.0)
Syntax
C#
Copy
public static Vector3 ReadSafeVector(
    string Value,
    Vector3 Default
)

Parameters

Value
Type: SystemString
String to be converted.
Default
Type: Vector3
Default Value to be used if the conversion fails.

Return Value

Type: Vector3
Converted Value or default Value if any failure occurs.
See Also

Reference

StringHelper Class
LCPDDevice.Helpers Namespace
THE PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.